sub parseArgument {
	if($ENV{'REQUEST_METHOD'} eq "GET") {
		$buffer = $ENV{'QUERY_STRING'};
    }
	else {
        read( STDIN, $buffer, $ENV{'CONTENT_LENGTH'});
    }
    @pairs = split(/&/,$buffer);
    foreach $pair( @pairs ) {
        ($name,$value)=split(/=/,$pair);
        $value =~ tr/+/ /;
        $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C",hex($1))/eg;
		unless (($name eq 'comments') || ($name eq 'html_up') || ($name eq 'html_down')) {
			$value =~ s/<([^>]|\n)*>//g;
		}
        $FORM{$name} = $value;
    }
	if($FORM{'id'}){
		$main_dir = "$dir/$FORM{'id'}";
	}
	&selectAction;
}

sub get_conf{
	unless(-e "$main_dir/conf.txt"){
		mkdir("$main_dir/data1",0777);
		open(DATA, ">$main_dir/data1/data.txt");
		print DATA "0\n";
		close(DATA);
	}
	unless(-e "$main_dir/conf.txt"){
		mkdir("$main_dir/data2",0777);
		open(DATA, ">$main_dir/data2/data.txt");
		print DATA "0\n";
		close(DATA);
	}
 	if(open(CONF,"<$main_dir/conf.txt")){
	    $conf_list = <CONF>;
	    close(CONF);
	    @conf = split(/\|/,$conf_list);
	$admin_pass = $conf[1];
	$list_num[1] = $conf[2];
	$list_num[2] = $conf[3];
	$table_size = $conf[4];
	$max_data = $conf[5];
      $table_color = $conf[6];
	$cell_color[1] = $conf[7];
	$cell_color[2] = $conf[8];
	$html = $conf[9];
	$bgcolor = $conf[10];
	$bgimage = $conf[11];
	$quick_num[1] = $conf[12];
	$quick_num[2] = $conf[13];
      $tit_color = $conf[14];
      $bdsize = $conf[15];
      $show[1] = $conf[16];
      $show[2] = $conf[17];
      $show[3] = $conf[18];
      $show_fast[1] = $conf[19];
      $show_fast[2] = $conf[20];
      $show_name[1] = $conf[21];
      $show_name[2] = $conf[22];
      $title[1] = $conf[23];
      $title[2] = $conf[24];
      $title[3] = $conf[25];
      $tit_font = $conf[26];
      $date_color = $conf[27];
      $text_color[1] = $conf[28];
      $text_color[2] = $conf[29];
	}
	else{
	$list_num[1] = "5";
	$list_num[2] = "8";
	$table_size = "450";
	$max_data = "500";
	$table_color = "#1015AC";
	$cell_color[1] = "#C0CBFF";
      $cell_color[2] = "#B3C4FF";
	$html = "yes";
	$bgcolor = "#FFFFFF";
	$bgimage = "";
	$quick_num[1] = "5";
	$quick_num[2] = "5";
      $tit_color = "#728DD7";
      $bdsize = "1";
      $show[1] = "yes";
      $show[2] = "yes";
      $show[3] = "yes";
      $show_fast[1] = "no";
      $show_fast[2] = "yes";
      $show_name[1] = "no";
      $show_name[2] = "yes";
      $title[1] = "Notice";
      $title[2] = "Memo";
      $title[3] = "Web Mailer";
      $tit_font = "#FFFFFF";
      $date_color = "#7777FF";
      $text_color[1] = "#2D71FF";
      $text_color[2] = "#4735DA";
	$cryptpass = $global_pass;
	&put_conf;
	}

}

sub put_conf {
    open(CONF,">$main_dir/conf.txt");
    print CONF "|$cryptpass|$list_num[1]|$list_num[2]|$table_size|$max_data|$table_color|$cell_color[1]|$cell_color[2]|$html|$bgcolor|$bgimage|$quick_num[1]|$quick_num[2]|$tit_color|$bdsize|$show[1]|$show[2]|$show[3]|$show_fast[1]|$show_fast[2]|$show_name[1]|$show_name[2]|$title[1]|$title[2]|$title[3]|$tit_font|$date_color|$text_color[1]|$text_color[2]|\n";
    close(CONF);
}

sub getdate {
    ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime(time);

    if($min < 10) {
        $min = "0$min";
    }
    if($hour < 10) {
        $hour = "0$hour";
    }
    $mon++;
    if($mon < 10) {
        $mon = "0$mon";
    }
    if($mday < 10) {
        $mday = "0$mday";
    }
    if($year < 1000){
        $year = $year+1900;
    }

    $date[1] = "$year/$mon/$mday";
    $date[2] = "$mon/$mday($hour:$min)";
}

sub head {
print "Content-type: text/html\n\n";
print <<HEAD;
<html>
<head><title>EZ2Notice by EZ2CGI</title></head>
<style type='text/css'>
<!--
BODY, table, tr, td{
font-family: , , ü, verdana, arial, helvetica, sans-serif;
font-size: 9pt;
}
INPUT.text,INPUT.file,SELECT,TEXTAREA{font-size:9pt;color:#8EAEFF;background-color:#EDF6FF;border:0;}{font-size:9pt}
A:link    {font:9pt ;color:#8EAEFF;text-decoration:none;}
A:visited {font:9pt ;color:#8EAEFF;text-decoration:none;}
A:active  {color:#8EAEFF;font:9pt ;}
A:hover  {color:#6365FF;text-decoration:underline;}
-->
</style>
<script language="JavaScript">
function newin(width,height,url,name) {
msgWindow=window.open(url,name,'statusbar=no,scrollbars=yes,status=no,resizable=yes,width='+width+',height='+height)
}
<!--
 function checkSubmit (myform) {
  if (!okField(myform.rcv_email, 5, " Email")) return;
  if (!okField(myform.subject, 2, "")) return;
  if (!okField(myform.content, 10, "")) return;
  myform.submit();
  return;
 }
 function okField (thisField, effectLength, inString) {
  if (thisField.value.length < effectLength) {
   alertStr = inString + " ų ߸ ԵǾϴ.!";
   alert (alertStr);
   thisField.focus();
   return (false);
  } else return (true);
 }
function clearField(field){
if (field.value == field.defaultValue) {
field.value = "";
}
}
function checkField(field){
if (field.value == "") {
field.value = field.defaultValue;
}
}
function Check_Length (form) {	
		if(form.callNumber.value.length<10) {	
			alert('ȣȣ Ȯ ԷϿ ֽʽÿ.');	
			return false;	
		}	
		if(form.message.value.length>80) {	
			alert ('޼ ִ 80ڱ Է°մϴ. '+form.message.value.length+'ڸ Էϼ̽ϴ.');	
			return false;	
		}	
		return true;	
}	
// -->
</script></head>
HEAD
	if ($bgimage eq ""){
		print"<body bgcolor=$bgcolor text=\"#8EAEFF\">\n";
	}
	else {
		print"<body background=$bgimage text=\"#8EAEFF\">\n";
	}

	print"<center>\n";
}
sub foot {
	print "</center></body></html>\n";
	exit;
}

sub error {
&head;
print <<START;
<table width=$table_size border=$bdsize cellpadding="2" cellspacing="0" bordercolor=$table_size bordercolordark=$table_size bordercolorlight=$table_size>
<tr><td bgcolor=$cell_color[1] align=center><p>&nbsp;</p><p align="center"><font color=red> ERROR </font><br>$err</p>
<p><a href="javascript:history.go(-1)"> ڷ </a></p><p>&nbsp;</td></tr></table>
START
&foot;
}

1;
